Bug 199169 - multipath command fails to produce output on RHEL4U3
multipath command fails to produce output on RHEL4U3
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-17 13:49 EDT by Casey Feskens
Modified: 2010-01-11 21:26 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 15:31:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
multipath.conf (1.74 KB, application/octet-stream)
2006-07-17 13:49 EDT, Casey Feskens
no flags Details
strace -f multipath -l (67.34 KB, application/octet-stream)
2006-07-17 13:51 EDT, Casey Feskens
no flags Details

  None (edit)
Description Casey Feskens 2006-07-17 13:49:24 EDT
Description of problem:

/sbin/multipath returns no output with -v value of less than 3, and does
not add any new paths.  /sbin/multipath -l or -ll shows no output.

Multipathed devices detected on boot appear normally in other commands
and function properly.

Version-Release number of selected component (if applicable):

device-mapper-multipath-0.4.5-12.0.RHEL4

How reproducible:


Steps to Reproduce:
1. multipath -ll
2. multipath -l
3. multipath -v2
  
Additional information:

Hardware is Sun X4100 connected to EMC Clariion CX300
with Emulex LP10000.

Output of multipathd -k
multipathd> show paths

0:0:2:0 sda 8:0    [faulty] [orphan]
1:0:0:0 sdb 8:16   [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
1:0:0:1 sdc 8:32   [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
1:0:1:0 sdd 8:48  1 [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
1:0:1:1 sde 8:64  1 [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
2:0:0:0 sdf 8:80   [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
2:0:0:1 sdg 8:96   [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
2:0:1:0 sdh 8:112 1 [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20
2:0:1:1 sdi 8:128 1 [active][ready] XXXXXXXXXXXXXXXXXXXX 20/20

multipathd> show maps

mpath2 dm-5 [no scheduled failback]
mpath1 dm-4 [no scheduled failback]

Output of multipath -v3

# multipath -v3
load path identifiers cache
#
# all paths in cache :
#
3600508e000000000d7176e41a76a350e  0:0:2:0 sda 8:0  [faulty] LSILOGIC/Logical 
360060160816015006484729e02d7da11  1:0:0:0 sdb 8:16  [active][ready] DGC     /
36006016081601500e052340032dada11  1:0:0:1 sdc 8:32  [active][ready] DGC     /
360060160816015006484729e02d7da11  1:0:1:0 sdd 8:48 1 [active][ready] DGC     
36006016081601500e052340032dada11  1:0:1:1 sde 8:64 1 [active][ready] DGC     
360060160816015006484729e02d7da11  2:0:0:0 sdf 8:80  [active][ready] DGC     /
36006016081601500e052340032dada11  2:0:0:1 sdg 8:96  [active][ready] DGC     /
360060160816015006484729e02d7da11  2:0:1:0 sdh 8:112 1 [active][ready] DGC    
36006016081601500e052340032dada11  2:0:1:1 sdi 8:128 1 [active][ready] DGC    
dm-0 blacklisted
dm-1 blacklisted
dm-2 blacklisted
dm-3 blacklisted
dm-4 blacklisted
dm-5 blacklisted
dm-6 blacklisted
hda blacklisted
md0 blacklisted
ram0 blacklisted
ram10 blacklisted
ram11 blacklisted
ram12 blacklisted
ram13 blacklisted
ram14 blacklisted
ram15 blacklisted
ram1 blacklisted
ram2 blacklisted
ram3 blacklisted
ram4 blacklisted
ram5 blacklisted
ram6 blacklisted
ram7 blacklisted
ram8 blacklisted
ram9 blacklisted
===== path info sda (mask 0x1f) =====
bus = 1
dev_t = 8:0
size = 142577664
vendor = LSILOGIC
product = Logical Volume  
rev = 3000
h:b:t:l = 0:0:2:0
tgt_node_name = 
serial = 
path checker = emc_clariion (internal default)
state = 1
getprio = /bin/true (internal default)
prio = 0
uid = 3600508e000000000d7176e41a76a350e (cache)
===== path info sdb (mask 0x1f) =====
bus = 1
dev_t = 8:16
size = 209715200
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 1:0:0:0
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 0
uid = 360060160816015006484729e02d7da11 (cache)
===== path info sdc (mask 0x1f) =====
bus = 1
dev_t = 8:32
size = 125829120
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 1:0:0:1
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 0
uid = 36006016081601500e052340032dada11 (cache)
===== path info sdd (mask 0x1f) =====
bus = 1
dev_t = 8:48
size = 209715200
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 1:0:1:0
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 1
uid = 360060160816015006484729e02d7da11 (cache)
===== path info sde (mask 0x1f) =====
bus = 1
dev_t = 8:64
size = 125829120
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 1:0:1:1
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 1
uid = 36006016081601500e052340032dada11 (cache)
===== path info sdf (mask 0x1f) =====
bus = 1
dev_t = 8:80
size = 209715200
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 2:0:0:0
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 0
uid = 360060160816015006484729e02d7da11 (cache)
===== path info sdg (mask 0x1f) =====
bus = 1
dev_t = 8:96
size = 125829120
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 2:0:0:1
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 0
uid = 36006016081601500e052340032dada11 (cache)
===== path info sdh (mask 0x1f) =====
bus = 1
dev_t = 8:112
size = 209715200
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 2:0:1:0
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 1
uid = 360060160816015006484729e02d7da11 (cache)
===== path info sdi (mask 0x1f) =====
bus = 1
dev_t = 8:128
size = 125829120
vendor = DGC     
product = RAID 5          
rev = 0216
h:b:t:l = 2:0:1:1
tgt_node_name = 0x50060160b02188c1
serial = APM00052503252
path checker = emc_clariion (controler setting)
state = 2
getprio = /sbin/mpath_prio_emc /dev/%n (controler setting)
prio = 1
uid = 36006016081601500e052340032dada11 (cache)
path sdj not found in pathvec

===== path info sdj (mask 0x1f) =====
bus = 1
dev_t = 8:144
sr0 blacklisted
Comment 1 Casey Feskens 2006-07-17 13:49:25 EDT
Created attachment 132562 [details]
multipath.conf
Comment 2 Casey Feskens 2006-07-17 13:51:04 EDT
Created attachment 132563 [details]
strace -f multipath -l
Comment 3 Ben Marzinski 2006-08-03 17:03:36 EDT
Huh. looking at the output from multipath -v3, the only other path to add would be
sdj.  The reason it doesn't add this seems to be that it's size is zero
according to sysfs. run

# cat /sys/block/sdj/size

To check if sysfs really thinks that the size is zero.

To see why multipath -l and multipath -ll aren't printing anything, the output
from 

# multipath -v4 -l

and

# multipath -v4 -ll

would be helpful

Note You need to log in before you can comment on or make changes to this bug.